#sidebar {
    --padding: 2rem;

    display: flex;
    flex-flow: column nowrap;
    width: fit-content;
    height: 100%;
    background: #eee;
    z-index: 1;
    box-shadow: 8px 0px 32px 0 rgba(0, 0, 0, 0.12);
}

#sidebar .user-container {
    padding: var(--padding);
}

#sidebar .user-container img {
    max-width: 100px;
    border-radius: var(--radius);
    display: block;
    margin: 0 auto;
}

#sidebar .user-container p {
    text-align: center;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

#sidebar ul {
    line-height: 1;
    list-style-type: none;
    margin: 0;
    padding: 0px;
    flex: 1 0 auto;
    display: flex;
    flex-flow: column nowrap;
    justify-content: start;
}

#sidebar li a,
#sidebar li button {
    padding: var(--padding);
    width: 100%;
    background-color: #eee;
    display: block;

    font-size: 1.25rem;
    font-weight: 600;
    font-family: inherit;
    color: hsl(0, 0%, 30%);
    text-decoration: none;
    outline: 0;
    border: none;
    box-shadow: none;
    text-align: left;

    transition: background-color 0.15s ease-out;
}

#sidebar li:not(last-child) {
    border-bottom: 1px solid #ddd;
}

#sidebar li:first-child,
#sidebar li:last-child {
    border-top: 1px solid #ddd;
}

#sidebar li a.active {
    color: black;
    background-color: white;
}

#sidebar li a:hover:not(.active),
#sidebar li button:hover {
    color: black;
    background-color: #f8f8f8;
    cursor: pointer;
}

#sidebar li:last-child {
    margin-top: auto;
}

#sidebar li:last-child button:hover {
    background-color: #ff7675;
}

#sidebar .icon {
    margin-right: 0.75rem;
}
